# NodeIPAddressLogService
> IP地址相关日志

---

## countAllNodeIPAddressLogs
> 计算日志数量

- 角色：`admin`
- HTTP：`POST https://backend.dooki.cloud/NodeIPAddressLogService/countAllNodeIPAddressLogs`
- RPC：`rpc countAllNodeIPAddressLogs(CountAllNodeIPAddressLogsRequest) returns (RPCCountResponse);`

**请求对象 (`CountAllNodeIPAddressLogsRequest`)**

```json
{
  "nodeIPAddressId": "int64"
}
```

**响应对象 (`RPCCountResponse`)**

```json
{
  "count": "int64 // 数量"
}
```

**调用示例**

```bash
curl -X POST "https://backend.dooki.cloud/NodeIPAddressLogService/countAllNodeIPAddressLogs" \
  -H "Content-Type: application/json" \
  -H "X-Edge-Access-Token: <YOUR_TOKEN>" \
  -d '{
    ...
  }'
```

---

## listNodeIPAddressLogs
> 列出单页日志

- 角色：`admin`
- HTTP：`POST https://backend.dooki.cloud/NodeIPAddressLogService/listNodeIPAddressLogs`
- RPC：`rpc listNodeIPAddressLogs(ListNodeIPAddressLogsRequest) returns (ListNodeIPAddressLogsResponse);`

**请求对象 (`ListNodeIPAddressLogsRequest`)**

```json
{
  "nodeIPAddressId": "int64",
  "offset": "int64 // 读取位置",
  "size": "int64 // 数量，通常不能小于0"
}
```

**响应对象 (`ListNodeIPAddressLogsResponse`)**

```json
{
  "nodeIPAddressLogs": "[]NodeIPAddressLog"
}
```

**调用示例**

```bash
curl -X POST "https://backend.dooki.cloud/NodeIPAddressLogService/listNodeIPAddressLogs" \
  -H "Content-Type: application/json" \
  -H "X-Edge-Access-Token: <YOUR_TOKEN>" \
  -d '{
    ...
  }'
```

---
